Skip to content

createOpeningBalanceJournal

DESTRUCTIVE

Create opening balance journal.

POST /api/v1/accounting/createOpeningBalanceJournal
curl -X POST '<your-host>/api/v1/accounting/createOpeningBalanceJournal' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "postingDate": "string",
    "balances": []
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "postingDate": {
      "type": "string"
    },
    "balances": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "accountId": {
            "type": "string"
          },
          "amount": {
            "type": "number"
          }
        },
        "required": [
          "accountId",
          "amount"
        ]
      }
    }
  },
  "required": [
    "postingDate",
    "balances"
  ]
}